Create "non connected" meshes

Hi !
I have a 2D geometry extracted from a 3D one using a plane. In this geometry, some parts are split in two (in the 3D geometry there formed one), see for example this picture :

Using MakeFuseList I managed to gather them in one object (a Compound according to the Whatis window).

I want to create a mesh from the geometry, the mesh of the full geometry works correctly, but when I want to add group names with GroupOnGeom, the generated mesh is not full : the groups of faces are not computed : a little :warning: appears in the list. And in the exported MED file, once opened for instance by gmsh, the corresponding faces groups doesn’t appear in the list.

image

I looked for ways to manage to compute it (use two faces in the geometry then build a compound mesh, somehow create one face from this compound to build the mesh from it…) all of them without success.

Is there a way to do so ?

Thanks

I managed to find a way, if someone in the future has the same issue, here is how I did :

  1. Create groups on the geometry gathering the components :
Group_Iris = geompy.CreateGroup(EyePlan, geompy.ShapeType["FACE"])
geompy.UnionList(Group_Iris, [Iris1, Iris2])
  1. Then add the group to the mesh
Iris_1 = Mesh.GroupOnGeom(Group_Iris, 'Iris', SMESH.FACE)

That worked fine !